import { Documento, Contatto, Domanda, Slot } from ".";

export interface InfoRisorsa {
    descrizione: string;
    giorniMinPrenot: number;
    giorniMaxPrenot: number;
    contatti: Array<Contatto>;
    domande: Array<Domanda>;
    documenti: Array<Documento>;
    slot: Array<Slot>;
    virtuale: boolean;
    numMaxSlotPrenot: number;
    minutiPrenotabili: number;
    tipoGruppo: number;
    openApi: string;
    nome: string;
    id: number;
    idParent: number;
    flgPrenotabile: boolean;
}