import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { IonicModule } from '@ionic/angular';
import { GenericSkeletonModule, GpFileModule, GpProcedureDcatastaliModule, GpProcedureHeaderModule, GpProcedureInfoModule, GpProcedureIterModule, GpProcedureOwnerModule, GpProcedureRequestModule, GpProcedureUbLavoriModule, GpTasksModule, GpVariablesModule } from 'src/app/components';

import { DettaglioProceduraPageRoutingModule } from './dettaglio-procedura-routing.module';
import { DettaglioProceduraPage } from './dettaglio-procedura.page';

@NgModule({
	imports: [
		CommonModule,
		FormsModule,
		IonicModule,
		DettaglioProceduraPageRoutingModule,
		GpFileModule,
		GpTasksModule,
		GpVariablesModule,
		GenericSkeletonModule,
		GpProcedureHeaderModule,
		GpProcedureInfoModule,
		GpProcedureRequestModule,
		GpProcedureDcatastaliModule,
		GpProcedureOwnerModule,
		GpProcedureUbLavoriModule,
		GpProcedureIterModule
	],
	declarations: [DettaglioProceduraPage],
})
export class DettaglioProceduraPageModule { }
