import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { IonicModule } from '@ionic/angular';
import { HeaderModule } from 'src/app/components';
import { PsDateRangerModule } from 'src/app/components/ps-date-ranger/ps-date-ranger.module';

import { MessageCardModule } from '../../../components/message-card/message-card.module';
import { StoricoPrenotazionePageRoutingModule } from './storico-prenotazione-routing.module';
import { StoricoPrenotazionePage } from './storico-prenotazione.page';
import { PipeModule } from 'src/app/pipe/pipe.module';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    IonicModule,
    StoricoPrenotazionePageRoutingModule,
    MessageCardModule,
    PsDateRangerModule,
    HeaderModule,
    PipeModule
  ],
  declarations: [StoricoPrenotazionePage]
})
export class StoricoPrenotazionePageModule { }
