import { Pipe, PipeTransform } from '@angular/core';
import { EMOTICON_SATISFACTION } from 'src/app/utility';

@Pipe({
  name: 'satisfationPath'
})
export class SatisfationPathPipe implements PipeTransform {

  transform(value: string): string {
    try {
      return EMOTICON_SATISFACTION.find(smile => smile.code === value).path;
    } catch (e) {
      return null;
    }
  }

}
