package it.itsvil.macs;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.context.annotation.PropertySource;
import org.springframework.context.annotation.PropertySources;
import org.springframework.scheduling.annotation.EnableScheduling;


@SpringBootApplication
@PropertySources({
	@PropertySource("file:${catalina.home}/conf/configurationFile/macs/application.properties")
})
@EnableScheduling
public class MacsApplication extends SpringBootServletInitializer{

	public static void main(String[] args) {
		SpringApplication.run(MacsApplication.class, args);
	}
	
	protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
		return application.sources(MacsApplication.class);
	}

}
