package it.itsvil.macs.backend.dao;

import java.util.List;

import org.springframework.stereotype.Repository;

import it.itsvil.macs.backend.dto.DispositivoDTO;
import it.itsvil.macs.backend.dto.NotificationInfoDTO;

@Repository
public interface DispositivoDao {
	
	DispositivoDTO checkDispositivo(DispositivoDTO dispositivo);
	boolean insertDispositivo(DispositivoDTO dispositivo);
	boolean updatetDispositivo(DispositivoDTO dispositivo);
	List<NotificationInfoDTO> listOfNotification(String t_cod_notifiche);
	List<NotificationInfoDTO> listOfAllLoggedAvaibleDevice(String t_cod_notifiche);
	boolean logoutDispositivo(DispositivoDTO dispositivo);
	List<NotificationInfoDTO> remainderToUse(String t_cod_notifiche);
	List<NotificationInfoDTO> listOfAllAvaibleUserDevices(String t_spid_code, String t_cod_notifiche);

}
