package it.itsvil.macs.backend.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.google.gson.annotations.JsonAdapter;

import it.itsvil.macs.backend.util.LocalDateTimeAdapter;

public class PrenotazioneDTO implements Serializable {
	
	private static final long serialVersionUID = -6890165298265417103L;
	
	private Long n_id;
    private String t_spid_code;
    private String t_nome_ufficio;
    private Long n_id_ufficio;
    private String t_nome_risorsa;
    private Long n_id_risorsa;
    @JsonAdapter(LocalDateTimeAdapter.class)
    private LocalDateTime d_data_appuntamento;
    private String t_disdetto;
    private String t_prenotazione_personale;
    private Long n_id_prenotazione;
    private String t_cf_fruitore;
	private String t_id_meeting_zoom;
	private String t_satisfaction;


	public Long getN_id() {
		return n_id;
	}
	public void setN_id(Long n_id) {
		this.n_id = n_id;
	}
	public String getT_spid_code() {
		return t_spid_code;
	}
	public void setT_spid_code(String t_spid_code) {
		this.t_spid_code = t_spid_code;
	}
	public String getT_nome_ufficio() {
		return t_nome_ufficio;
	}
	public void setT_nome_ufficio(String t_nome_ufficio) {
		this.t_nome_ufficio = t_nome_ufficio;
	}
	public Long getN_id_ufficio() {
		return n_id_ufficio;
	}
	public void setN_id_ufficio(Long n_id_ufficio) {
		this.n_id_ufficio = n_id_ufficio;
	}
	public String getT_nome_risorsa() {
		return t_nome_risorsa;
	}
	public void setT_nome_risorsa(String t_nome_risorsa) {
		this.t_nome_risorsa = t_nome_risorsa;
	}
	public Long getN_id_risorsa() {
		return n_id_risorsa;
	}
	public void setN_id_risorsa(Long n_id_risorsa) {
		this.n_id_risorsa = n_id_risorsa;
	}
	public LocalDateTime getD_data_appuntamento() {
		return d_data_appuntamento;
	}
	public void setD_data_appuntamento(LocalDateTime d_data_appuntamento) {
		this.d_data_appuntamento = d_data_appuntamento;
	}
	public String getT_disdetto() {
		return t_disdetto;
	}
	public void setT_disdetto(String t_disdetto) {
		this.t_disdetto = t_disdetto;
	}
	public String getT_prenotazione_personale() {
		return t_prenotazione_personale;
	}
	public void setT_prenotazione_personale(String t_prenotazione_personale) {
		this.t_prenotazione_personale = t_prenotazione_personale;
	}
	public Long getN_id_prenotazione() {
		return n_id_prenotazione;
	}
	public void setN_id_prenotazione(Long n_id_prenotazione) {
		this.n_id_prenotazione = n_id_prenotazione;
	}
	public String getT_cf_fruitore() {
		return t_cf_fruitore;
	}
	public void setT_cf_fruitore(String t_cf_fruitore) {
		this.t_cf_fruitore = t_cf_fruitore;
	}

	public String getT_id_meeting_zoom() {
		return t_id_meeting_zoom;
	}

	public void setT_id_meeting_zoom(String t_id_meeting_zoom) {
		this.t_id_meeting_zoom = t_id_meeting_zoom;
	}

	public String getT_satisfaction() {
		return t_satisfaction;
	}

	public void setT_satisfaction(String t_satisfaction) {
		this.t_satisfaction = t_satisfaction;
	}
}
