package it.itsvil.macs.backend.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.google.gson.annotations.JsonAdapter;

import it.itsvil.macs.backend.util.LocalDateTimeAdapter;

public class PrtTimeIntervalInterfaceDTO implements Serializable{
	
	private static final long serialVersionUID = 4320558526300482813L;

	private boolean infinite;
	
	private boolean valid;
	
	@JsonAdapter(LocalDateTimeAdapter.class)
	private LocalDateTime start;
	
	@JsonAdapter(LocalDateTimeAdapter.class)
	private LocalDateTime end;
	
	private boolean sameDay;

	public boolean isInfinite() {
		return infinite;
	}

	public void setInfinite(boolean infinite) {
		this.infinite = infinite;
	}

	public boolean isValid() {
		return valid;
	}

	public void setValid(boolean valid) {
		this.valid = valid;
	}

	public LocalDateTime getStart() {
		return start;
	}

	public void setStart(LocalDateTime start) {
		this.start = start;
	}

	public LocalDateTime getEnd() {
		return end;
	}

	public void setEnd(LocalDateTime end) {
		this.end = end;
	}

	public boolean isSameDay() {
		return sameDay;
	}

	public void setSameDay(boolean sameDay) {
		this.sameDay = sameDay;
	}
	
}