package it.itsvil.macs.backend.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import it.itsvil.macs.backend.dto.DispositivoDTO;
import it.itsvil.macs.backend.dto.NotificationInfoDTO;

@Mapper
public interface DispositivoMapper {
	
	DispositivoDTO checkDispositivo(DispositivoDTO dispositivo);
	void insertDispositivo(DispositivoDTO dispositivo);
	void updatetDispositivo(DispositivoDTO dispositivo);
	List<NotificationInfoDTO> listOfNotification(String t_cod_notifiche);
	List<NotificationInfoDTO> listOfAllLoggedAvaibleDevice(String t_cod_notifiche);
	void logoutDispositivo(DispositivoDTO dispositivo);
	List<NotificationInfoDTO> remainderToUse(String t_cod_notifiche);
	List<NotificationInfoDTO> listOfAllAvaibleUserDevices(@Param("t_spid_code") String t_spid_code, @Param("t_cod_notifiche") String t_cod_notifiche);
}
