package it.itsvil.notificatore.backend.dao;

import org.springframework.stereotype.Repository;

import it.itsvil.notificatore.backend.dto.EmailBodyDTO;
import it.itsvil.notificatore.backend.dto.KeysDTO;
import it.itsvil.notificatore.backend.dto.NotificationConfDTO;
import it.itsvil.notificatore.backend.dto.UserNotificationDTO;

@Repository
public interface NotificatoreConfigurationDao {
	
	 void insertKeys(KeysDTO request);
	 void insertUserNotification(UserNotificationDTO request);
	 void updateUserNotification(UserNotificationDTO request);
	 void insertNotificationConf(NotificationConfDTO request);
	 void updateNotificationConf(NotificationConfDTO request);
	 void insertEmailBody(EmailBodyDTO request);
	 void updateEmailBody(EmailBodyDTO request);

}
