package it.itsvil.notificatore.backend.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;

@JsonInclude(Include.NON_ABSENT)
public class TokenDTO implements Serializable {

	private static final long serialVersionUID = -1739151337441552806L;
	
	@Schema(required=true, description="Token firebase")
	private String token;
	
	@Schema(required=true, description="Sistema operativo target", allowableValues="ANDROID,IOS")
	private String 	sistema_operativo;
	
	public String getToken() {
		return token;
	}
	
	public void setToken(String token) {
		this.token = token;
	}
	
	public String getSistema_operativo() {
		return sistema_operativo;
	}
	
	public void setSistema_operativo(String sistema_operativo) {
		this.sistema_operativo = sistema_operativo;
	}
	
	
	
}
