package it.itsvil.profilatore.backend.dao;

import org.springframework.stereotype.Repository;

import it.itsvil.profilatore.backend.dto.FunzionalitaAggiuntiveDTO;
import it.itsvil.profilatore.backend.dto.FunzionalitaDTO;
import it.itsvil.profilatore.backend.dto.FunzioneDTO;
import it.itsvil.profilatore.backend.dto.FunzioneFunzionalitaDTO;
import it.itsvil.profilatore.backend.dto.RuoloDTO;

@Repository
public interface ProfilatoreConfigurationDao {
	
	public Long getSequenceRuolo();
	public void insertRuolo(RuoloDTO request);
	public void setRuolo(RuoloDTO request);
	
	public void insertFunzionalita (FunzionalitaDTO request);
	public Long getSqFunzionalita();
	public void setFunzionalita(FunzionalitaDTO request);
	public Long nextFunzioneSequence();
	public void insertFunzione(FunzioneDTO request);
	public void updateFunzione(FunzioneDTO request);
	public void insertFunzioneFunzionalita(FunzioneFunzionalitaDTO request);
	public void setFunzioneFunzionalita(FunzioneFunzionalitaDTO request);
	public void insertFunzionalitaAggiuntive(FunzionalitaAggiuntiveDTO request);
	public void updateFunzionalitaAggiuntive(FunzionalitaAggiuntiveDTO request);
	public void deleteFunzioneFunzionalita(Long n_id_funzione, Long n_id_funzionalita);
	public void deleteFunzionalitaAggiuntive(Long n_id_funzionalita, Long n_id_utente, Long n_id_funzione);
}
