package it.itsvil.profilatore.backend.service;

import org.springframework.stereotype.Service;

import it.itsvil.profilatore.backend.dto.DettaglioRuoloDTO;
import it.itsvil.profilatore.backend.dto.DettaglioUtenteDTO;
import it.itsvil.profilatore.backend.dto.InsertDettaglioRuoloRequestDTO;
import it.itsvil.profilatore.backend.dto.InsertUtenzaByRuoloRequestDTO;
import it.itsvil.profilatore.backend.dto.InsertUtenzaRequestDTO;
import it.itsvil.profilatore.backend.dto.UpdateUtenzaRequestDTO;

@Service
public interface ProfilatoreService {

	public DettaglioRuoloDTO getDettaglioRuolo(String t_nome_ruolo, String n_id_app);
	
	public DettaglioRuoloDTO getDettaglioRuoloById(Long n_id_ruolo, String n_id_app);

	public DettaglioUtenteDTO getDettaglioUtenze(String t_id_user, String n_id_app);
	
	public int insertDettaglioRuolo(InsertDettaglioRuoloRequestDTO request, String n_id_app);

	public int updateUtenza(UpdateUtenzaRequestDTO request,String n_id_app);
	
	int insertUtenza(InsertUtenzaRequestDTO request, String n_id_app);
	
	public int insertUtenzaByRuolo(InsertUtenzaByRuoloRequestDTO request, String n_id_app);

}
