import { ConfermaPrenotazioneRequest } from "./conferma-prenotazione-request";
import { PrenotazioneMeeting } from "./prenotazione-meeting";

export interface ConfermaPrenotazioneTotaleRequest {
    confermaPrenotazione: ConfermaPrenotazioneRequest;
    dataInizioPrenotazione: Date;
    idUfficio: number
    nomeUfficio: string
    idRisorsa: number
    nomeRisorsa: string
    spidCode: string
    prenotazionePersonale: string;  //Y or N
    meeting?: PrenotazioneMeeting;
}