export { ResultStatus } from './result-status';
export { DateRange } from './date-range';
export { Allegato } from './allegato';
export { NewsCategoria } from './news_categoria';
export { LoginModel } from './login-model';
export { News } from './news';
export { Ufficio } from './ufficio';
export { Risorsa } from './risorsa';
export { Documento } from './documento';
export { ContattoAnagrafica } from './contatto-anagrafica';
export { Anagrafica } from './anagrafica';
export { CoreRequest } from './core-request';
export { RisorseRequest } from './risorse-request';
export { RisorsaRequest } from './risorsa-request';
export { Domanda } from './domanda';
export { Contatto } from './contatto';
export { DownloadDocumentoRequest } from './download-documento-request';
export { DownloadDocumentoResponse } from './download-documento-response';
export { InfoRisorsa } from './info-risorsa';
export { RisultatoDTO } from './risultatoDTO';
export { ResultDTO } from './resultDTO';
export { PeriodiDisponibiliRequest } from './periodi-disponibili-request';
export { PeriodiDisponibiliResponse } from './periodi-disponibili-response';
export { SlotPeriodi } from './slot-periodi';
export { InitPrenotazioneRequest } from './init-prenotazione-request';
export { InitPrenotazioneResponse } from './init-prenotazione-response';
export { Risposta } from './risposta';
export { ValoreRisposta } from './valore-risposta';
export { ListaPrenotazioni } from './lista-prenotazioni';
export { Prenotazione } from './prenotazione';
export { Contenuto } from './contenuto';
export { AnnullaPrenotazioneRequest } from './annulla-prenotazione-request';
export { DisdiciPrenotazioneRequest } from './disdici-prenotazione-request';
export { ConfermaPrenotazioneRequest } from './conferma-prenotazione-request';
export { ConfermaPrenotazioneTotaleRequest } from './conferma-prenotazione-totale-request';
export { ConfermaPrenotazioneResponse } from './conferma-prenotazione-response';
export { Evento } from './evento';
export { DettaglioCardPrenotazione } from './dettaglio-card-prenotazione';
export { Image } from './image';
export { Video } from './video';
export { ProviderSpid } from './provider-spid';
export { DettaglioCardSondaggio } from './dettaglio-card-sondaggio';
export { Sondaggio } from './sondaggio';
export { Ruolo } from './ruolo';
export { Funzione } from './funzione';
export { Funzionalita } from './funzionalita';
export { DettaglioUtente } from './dettaglio-utente';
export { AuditRequest } from './audit-request';
export { AuditSlot } from './audit-slot';
export { FirebaseRequest } from './firebase-request';
export { PrenotazioneRequest } from './prenotazione-request';
export { LogoutRequest } from './logout-request';
export { ComunicazioneRequest } from './comunicazione-request';
export { Comunicazione } from './comunicazione';
export { Tutorial } from './tutorial';
export { TipologiaNotifica } from './tipologia-notifica';
export { UpdateTipologieNotificheRequest } from './update-tipologie-notifiche-request';

export { PSte1Step2 } from './p-step1-step2';
export { PStep2Step3 } from './p-step2-step3';
export { PStep3Step4 } from './p-step3-step4';
export { NewsTipologia } from './news-tipologia';
export { ResponseNewsEventi } from './response-news-eventi';
export { RequestNeFilter } from './request-ne-filter';
export { CategoriaPoi } from './categoria-poi';
export { NewsEventiRequest } from './news-eventi-request';
export { NewsEventiResponse } from './news-eventi-response';
export { NewsEventiDettaglio } from './news-eventi-dettaglio';
export { MessageChat } from './message-chat';
export { ResponseChatBot } from './response-chatbot';
export { FilterProcedureGp } from './filter-procedures-gp';
export { ResponseVariablesGp } from './response-variables-gp';
export { UserInfo } from './user-info';
export { InfoUserProcedure } from './info-user-procedure';
export { ProcedureStatus } from './procedure-status';
export { ResultGp } from './result-gp';
export { DocumentGp } from './documento-gp';
export { VariableGp } from './variable-gb';
export { TaskGp } from './task-gp';
export { DownloadFileRqGp } from './download-file-rq-gp';
export { ClaimsUserIdp } from './claims-user-idp';
export { TokenResponseIdp } from './token-response-idp';
export { ResultInfoProcedure } from './result-info-procedure';
export { NePagerResponse } from './ne-pager-response';
export { InfoProcedureModal } from './info-procedure-modal';
export { Slot } from './slot';
export { Poi } from './poi';
export { MarkerRequest } from './marker-request';
export { InfoStepTwo } from './info-step-two';
export { ProcedureDocumentProtocol } from './procedure-document-protocol';
export { ProcedureTemplateConfig } from './procedure-template-config';
export { PToDetailProcedure } from './p-to-detail-procedure';
export { GpTemplatesCode } from './gp-templates-code';
export { DatiCatastali } from './dati-catastali';
export { OwnerProcedure } from './owner-procedure';
export { Stradario } from './stradario';
export { IterStatoPratica } from './iter-stato-pratica';
export { GpTitolare } from './gp-titolare';
export { EventoResponse } from './evento-response';
export { EventoDocumento } from './evento-documento';
export { PrenotazioneMeeting } from './prenotazione-meeting';
export { UpdateSatisfaction } from './update-satisfaction';
export { Emoticon } from './emoticon';
export { PlaceSearchRequest } from './place-search-request';
export { PlacePortale } from './place-portale';
export { PlaceTypePortale } from './place-type-portale';
export { PlaceAddress } from './place-address';