import { Domanda } from "./domanda";
import { InfoRisorsa } from "./info-risorsa";
import { Risorsa } from "./risorsa";
import { Ufficio } from "./ufficio";
import { ValoreRisposta } from "./valore-risposta";

export interface InfoStepTwo {
    list_uffici: Ufficio[];
    list_risorse: Risorsa[];
    infoRisorsa: InfoRisorsa;
    uffOrRis: Risorsa;
    textInfoRisorsaOrUfficio: string;
    showInfoRisorsaOrUfficio: boolean;
    showRisorse: boolean;
    nomeRisorsaSelezionata: string; 
    list_domande_ordinate: Domanda[];
    valoriRisposta: ValoreRisposta[];
    nomeUfficioSelezionato: string; 
    risorsaSelezionata: Risorsa;
    visualizzaUffici: boolean;
    ufficiArrow: string;
    visualizzaRisorse: boolean;
    risorseArrow: string;
    visualizzaRisorsa: boolean;
    risorsaArrow: string;
    visualizzaListaDocumenti: boolean;
    documentiArrow: string; 
    visualizzaQuestionari: boolean;
    questionariArrow: string; 
}