export interface Poi {
    place_id: number
    licence: string
    osm_type: string
    osm_id: number
    boundingbox: string[]
    lat: string
    lon: string
    display_name: string
    class: string
    type: string
    importance: number
    icon: string
    address: Address
  }
  
  export interface Address {
    amenity?: string
    road: string
    city?: string
    county: string
    state: string
    postcode: string
    country: string
    country_code: string
    neighbourhood?: string
    hamlet?: string
    village?: string
    town?: string
  }
  