package it.itsvil.macs.backend.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.google.gson.annotations.JsonAdapter;

import it.itsvil.macs.backend.util.LocalDateTimeAdapter;

public class DispositivoDTO implements Serializable {
	

	private static final long serialVersionUID = 8593703786992482906L;

	private String t_uuid;
	private String t_token_firebase;
	private String t_piattaforma;
	private String t_spid_code;
	@JsonAdapter(LocalDateTimeAdapter.class)
	private LocalDateTime d_data_ultimo_accesso;
	

	public String getT_token_firebase() {
		return t_token_firebase;
	}
	public void setT_token_firebase(String t_token_firebase) {
		this.t_token_firebase = t_token_firebase;
	}
	public String getT_piattaforma() {
		return t_piattaforma;
	}
	public void setT_piattaforma(String t_piattaforma) {
		this.t_piattaforma = t_piattaforma;
	}
	public String getT_spid_code() {
		return t_spid_code;
	}
	public void setT_spid_code(String t_spid_code) {
		this.t_spid_code = t_spid_code;
	}
	public LocalDateTime getD_data_ultimo_accesso() {
		return d_data_ultimo_accesso;
	}
	public void setD_data_ultimo_accesso(LocalDateTime d_data_ultimo_accesso) {
		this.d_data_ultimo_accesso = d_data_ultimo_accesso;
	}
	public String getT_uuid() {
		return t_uuid;
	}
	public void setT_uuid(String t_uuid) {
		this.t_uuid = t_uuid;
	}

}
