package it.itsvil.macs.backend.service;

import java.io.IOException;
import java.util.List;

import it.itsvil.macs.backend.dto.*;
import org.springframework.stereotype.Service;

@Service
public interface ConfigurationMacsService {
	
	boolean insertTipoNotifica(TipoNotificaDTO tipoNotifica);
	List<TipoNotificaDTO> getAllTipoNotifiche();
	TipoNotificaDTO getTipoNotificheById(String t_cod_notifiche);
	
	boolean noPushNotification(UserNotificheNegateDTO userNotificheNegateDTO);
	boolean yesPushNotification(UserNotificheNegateDTO userNotificheNegateDTO);
	List<TipoNotificaDTO> noPushListForUser(String t_spid_code);
	
	List<NotificationForUserDTO> getListOfAllNotificationByUser(String t_spid_code);
	boolean updateNotifichePerUtente(ListNotificationForUserRequestDTO request);

	List<PoiConfigDTO> getPoiCategories() throws IOException;


}
