package it.itsvil.macs.backend.util;

public enum MacsEnum {
	
	TESTO("Testo"),
	VERO_FALSO("Vero/Falso"),
	NUMERO_INTERO("Numero intero"),
	NUMERO_DECIMALE("Numero decimale"),
	SI("Y"),
	NO("N"),
	CODICE("codice"),
	VALORE("valore"),

	LINK_CALL("link alla call"),
	
	MACS_CLIENT_MOCK_ENABLE("macs.client.mock.enable"),
	MACS_CLIENT_BASE_URL("macs.client.base.url"), //Porta 
	MACS_CLIENT_BASE_MOCK_URL("macs.client.base.mock.url"), //Porta mock
	
	MACS_CLIENT_PRENOTAZIONE_BASE("macs.client.prenotazione.base"), // /prenotazioni
	MACS_CLIENT_RISORSA_BASE("macs.client.risorsa.base"), // /risorse
	
	MACS_CLIENT_PRENOTAZIONE_ANNULLA("macs.client.prenotazione.annulla"),
	MACS_CLIENT_PRENOTAZIONE_DISDICI("macs.client.prenotazione.disdici"),
	MACS_CLIENT_PRENOTAZIONE_CONFERMA("macs.client.prenotazione.conferma"),
	MACS_CLIENT_PRENOTAZIONE_DOCUMENTI("macs.client.prenotazione.documenti"),
	
	MACS_CLIENT_PRENOTAZIONE_TOKEN("macs.client.prenotazione.token"),
	MACS_CLIENT_PRENOTAZIONE_ID_DOCUMENTO("macs.client.prenotazione.idDocumento"),
	MACS_CLIENT_PRENOTAZIONE_ID_PRENOTAZIONE("macs.client.prenotazione.idPrenotazione"),
	
	MACS_CLIENT_RISORSA_PRENOTAZIONI("macs.client.risorsa.prenotazioni"),
	MACS_CLIENT_RISORSA("macs.client.risorsa"),
	MACS_CLIENT_RISORSA_PERIODI("macs.client.risorsa.periodi"),
	
	MACS_CLIENT_RISORSA_ID_RISORSA("macs.client.risorsa.idRisorsa"),
	
	MACS_CLIENT_CF_FRUITORE_HEADER("macs.client.cfFruitore.header"),
	MACS_CLIENT_CF_PRESENTANTE_HEADER("macs.client.cfPresentante.header"),
	
	MACS_CLIENT_DA_QUERY_PARAM("macs.client.da.query.param"),
	MACS_CLIENT_A_QUERY_PARAM("macs.client.a.query.param"),
	
	MACS_TOKEN_ENABLE("macs.token.enable"),
	MACS_TOKEN_BASE_ENDPOINT("macs.token.base.endpoint"),
	MACS_TOKEN_RESOURCE("macs.token.resource"),
	MACS_TOKEN_REQUEST_BODY("macs.token.request.body"),
	MACS_TOKEN_REQUEST_HEADER_AUTHORIZATION("macs.token.request.header.authorization"),
	MACS_TOKEN_REQUEST_HEADER_BEARER("macs.token.request.header.bearer"),
	
	MACS_CLIENT_METHOD_HTTP_GET("GET"),
	MACS_CLIENT_METHOD_HTTP_POST("POST"),
	MACS_CLIENT_METHOD_HTTP_PUT("PUT"),

	MACS_TYPE_BODY_MAIL("BODY_INFO_1") ;

	private String codice;
	private MacsEnum(String codice){
		this.codice = codice;
	}

	public String getCodice() {
		return codice;
	}

}
