package it.itsvil.notificatore.backend.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;

@JsonInclude(Include.NON_ABSENT)
public class InsertUserNotificationRequestDTO implements Serializable{

	private static final long serialVersionUID = 283798231282847036L;
	
	@Schema(required=true, description="Identificativo univoco dell'applicazione da censire")
	private String n_id_app;

	public String getN_id_app() {
		return n_id_app;
	}

	public void setN_id_app(String n_id_app) {
		this.n_id_app = n_id_app;
	}
	
}
