package it.itsvil.notificatore.backend.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;

@JsonInclude(Include.NON_ABSENT)
public class KeysDTO implements Serializable{
	
	private static final long serialVersionUID = -6681006907685952198L;
	
	@Schema(required=true, description="Identificativo univoco della chiave di configurazione")
	private String t_key;
	
	public String getT_key() {
		return t_key;
	}
	
	public void setT_key(String t_key) {
		this.t_key = t_key;
	}

	
}
