CREATE TABLE public."T_Dispositivi"
(
    t_uuid character varying,
    t_token_firebase character varying,
    t_piattaforma character varying(10),
    t_spid_code character varying,
    d_data_ultimo_accesso timestamp without time zone,
    CONSTRAINT "PK_Dispositivi" PRIMARY KEY (t_uuid),
    CONSTRAINT "FK_Prenotazioni" FOREIGN KEY (t_spid_code)
    REFERENCES public."T_User" (t_spid_code) MATCH SIMPLE
    ON UPDATE NO ACTION
    ON DELETE NO ACTION
)
WITH (
    OIDS = FALSE
);

ALTER TABLE public."T_Dispositivi"
    OWNER to macsdb;