CREATE TABLE public."T_User_Notifiche_Negate"
(
    t_spid_code character varying,
    t_cod_notifiche character varying,
    PRIMARY KEY (t_spid_code, t_cod_notifiche),
    CONSTRAINT "FK_T_User" FOREIGN KEY (t_spid_code)
        REFERENCES public."T_User" (t_spid_code) MATCH SIMPLE
        ON UPDATE NO ACTION
        ON DELETE NO ACTION,
    CONSTRAINT "FK_T_Tipo_Notifiche" FOREIGN KEY (t_cod_notifiche)
        REFERENCES public."T_Tipo_Notifiche" (t_cod_notifiche) MATCH SIMPLE
        ON UPDATE NO ACTION
        ON DELETE NO ACTION
)
WITH (
    OIDS = FALSE
);

ALTER TABLE public."T_User_Notifiche_Negate"
    OWNER to macsdb;